documented some additional requirements when installing on a cleaner ubuntu box
[rails.git] / db / README
index 39ce18023b2d1daa8638598e6e656dd7ec37931f..db4f5c20ea23b4e6afa25259087e1556d83bd73b 100644 (file)
--- a/db/README
+++ b/db/README
@@ -32,6 +32,11 @@ Run this command in the db/functions directory:
 
 $ make libmyosm.so
 
+You might also need to install:
+- mysql client development libraries:  $ sudo apt-get install libmysqlclient16-dev 
+- ruby development libraries:          $ sudo apt-get install ruby1.8-dev
+for build to succeed.
+
 Make sure the db/functions directory is on the MySQL server's library
 path and restart the MySQL server. 
 
@@ -56,6 +61,11 @@ Run this command in the db/functions directory:
 
 $ make libpgosm.so
 
+You might also need to install:
+- postgresql development libraries:    $ sudo apt-get install postgresql-server-dev-8.3
+- ruby development libraries:          $ sudo apt-get install ruby1.8-dev
+for build to succeed.
+
 Now create the function as follows:
 
 $ psql openstreetmap
@@ -73,3 +83,7 @@ Run this command from the root of your rails directory:
 $ rake db:migrate
 
 This will create the db for you
+
+You will need to make sure the database connection is configured in database.yml in config directory
+You might start with example configuration provided: 
+$ cp config/mysql.example.database.yml config/database.yml